<?php
/**
 * Name       : MW WP Form Validation Rule NotSameValue
 * Description: 値が一致していない
 * Version    : 1.0.0
 * Author     : Hanano-ya
 * License    : GPLv2 or later
 * License URI: http://www.gnu.org/licenses/gpl-2.0.html
 */
class MW_WP_Form_Validation_Rule_NotSameValue extends MW_WP_Form_Abstract_Validation_Rule {

	/**
	 * バリデーションルール名を指定
	 * @var string
	 */
	protected $name = 'not_same_value';

	/**
	 * バリデーションチェック
	 *
	 * @param string $key name属性
	 * @param array $option
	 * @return string エラーメッセージ
	 */
	public function rule( $key, array $options = array() ) {
		$value = $this->Data->get( $key );
		if ( !is_null( $value ) ) {
			$defaults = array(
				'target'  => null,
				'message' => 'エラーです'
			);
			$options = array_merge( $defaults, $options );
			if ( ( string ) $value === ( string ) $options['target'] ) {
				return $options['message'];
			}
		}
	}

	/**
	 * 設定パネルに追加
	 *
	 * @param numeric $key バリデーションルールセットの識別番号
	 * @param array $value バリデーションルールセットの内容
	 */
	public function admin( $key, $value ) {
		$target = '';
		if ( is_array( $value[$this->getName()] ) && isset( $value[$this->getName()]['target'] ) ) {
			$target = $value[$this->getName()]['target'];
		}
		?>
		<table>
			<tr>
				<td>一致しない値</td>
				<td><input type="text" value="<?php echo esc_attr( $target ); ?>" name="<?php echo MWF_Config::NAME; ?>[validation][<?php echo $key; ?>][<?php echo esc_attr( $this->getName() ); ?>][target]" /></td>
			</tr>
		</table>
		<?php
	}
}
